Create a Function Instance - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a Function Instance
POST
/v2.0/functions/{functionId}/trigger
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/trigger \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/trigger"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/functions/{functionId}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
- 202: Success
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 405: Method Not Allowed
- 409: Conflict
- 413: Payload Too Large
- 500: Internal Server Error
- 501: Not Implemented
- 502: Bad Gateway
- 503: Service Unavailable
- 504: Gateway Timeout
Error Responses
{
"functionInstanceId": "<string>"
}
Error Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- X-API-Key: string (header, required)
- Supply the API Key in the HTTP-Header
Headers
- Accept: enum
- Specifies the media type expected in the response (default:
application/json) - Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv
- Specifies the media type expected in the response (default:
Path Parameters
- functionId: string (required)
- The Id of the Function (string length: 24, pattern:
^[a-z0-9]{24}$)
- The Id of the Function (string length: 24, pattern:
Response
202: application/json
- Object with the function instance id.
{
"functionInstanceId": "<string>"
}
Last modified on July 8, 2026.